package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BaseSubstation;
import com.railway.business.baseinfo.domain.vo.BaseDeptSubstationVo;

import java.util.List;

/**
 * primary key (substation_id) using
 *
 * @author author
 * @date 2021/10/16
 */
public interface IBaseSubstationService {

  /**
   * 新增
   */
  int create(BaseSubstation baseSubstation);

  /**
   * 删除
   */
  int delete(String[] substationIds);

  /**
   * 更新
   */
  int update(BaseSubstation baseSubstation);

  /**
   * 获取单个
   */
  BaseSubstation getInfo(String substationId);

  /**
   * 查询列表
   */
  List<BaseSubstation> getList(BaseSubstation baseSubstation);

  List<BaseDeptSubstationVo> getDeptSubList(Long lineId);
}
